Open main menu

Extension talk:S5SlideShow

About this board

139.169.25.128 (talkcontribs)

Vitaliy,

Wonderful extension for presentations. We are running into issues with printing when scaled=true. When we click the printer icon, the page itself loads nicely. However when you ctrl+p to save to PDF per these instructions http://wiki.4intra.net/S5SlideShow#Printing_and_PDF_export scaling becomes a huge issue. Words become massive and span multiple slides. We've tried multiple browsers.

Thanks much,

Erik Biegert

Reply to "Printing with scaling enabled"
Josef.Noll (talkcontribs)

Dear Vitaliy,

a wonderful extension, I really love it. And it's really the tool I would like to build my lectures on.

I have the issue with File:Image.png|300px - as soon as I add a size for my pictures, the Slideshow is just blank. If I use the image without a size, like File:Image.png, then everything works fine.

Here are examples:

Hope you can have a look and fix it.

Kind regards

Josef

VitaliyFilippov (talkcontribs)
Josef.Noll (talkcontribs)

Fixed and working fine! I'm really impressed, using it in my lectures instead of powerpoint/pdf. Combined handouts and presentation during the lectures. Excellent.

Have to ask Vitaliy on how to stopp comments to be displayed...

Reply to "Image with size indications fail"
Leucosticte (talkcontribs)

I take it, from the example, that there are no manual transitions (i.e. you can't manually go forward or back in the slideshow; you have to wait for it to progress through)?

VitaliyFilippov (talkcontribs)

Sorry for not answering; of course there are manual transitions, pgup/pgdown and arrow keys work for switching slides. This also allows to use standard USB (HID) presenter sticks. That's how I usually use S5SlideShow in my speeches :)

Reply to "No manual transitions?"
80.187.109.43 (talkcontribs)

Cannot access protected property ThumbnailImage::$height in /Users/wf/Source/php/mediawiki/extensions/S5SlideShow/S5SlideShow.php on line 147

Please advise

VitaliyFilippov (talkcontribs)

What's your mediawiki version?

Dennis J au (talkcontribs)

I get the same error, using MediaWiki v1.23.6

What I've noticed is that if I use an image like this [[File:example.jpg]] in my slideshow, then no error. If, instead, I have this: [[File:example.jpg|250px]] I get the above error. That is, if I try to use wiki markup to scale the image, then the error gets triggered.

I would also like to say thanks for a great extension.

VitaliyFilippov (talkcontribs)
Reply to "Cannot access protected property"

No Error and can't switch slides

2
As9d8f7623ruhfdf (talkcontribs)

Hi

Seems to be a great extension. But I'm encountering some problems. I'm using this example with the master-branch. (tried also the REL_1_18) The first slide is displayed but I cannot go to the next slide.

Using

MediaWiki	1.22.6 
PHP	5.4.4-14+deb7u9 (apache2handler)
MySQL	5.5.35-0+wheezy1

What could be the problem?

I'm using this example. And I have deactivated all other extensions.

<slideshow style="nobook" headingmark="" incmark="(step)" scaled="true">
;author: Presentation Author
;title: My Title
;subtitle: Subtitle
;subfooter: {{date}}
</slideshow>

== Slide 1 ==
* Text 1.1
* Text 1.2

== Slide 2 ==
* Text 2.1
* Text 2.2
VitaliyFilippov (talkcontribs)

Hm... The version in master treated headingmark="" as "do not make slides from sections", not as "make slides from all sections", and it seems I've made it so explicitly (the idea was to allow using only <slides> tag)...

Now I think it's not good, so I've just committed a fix which makes headingmark="" to treat all sections as slides; and if you really want to disable section slides, you can omit headingmark and set $egS5SlideHeadingMark to false.

In any case, it works with a non-empty headingmark :-)

Reply to "No Error and can't switch slides"

Call to a member function getHeadItems() on a non-object

7
SergeyL (talkcontribs)

Hi,

I get following error message when I click on "Slide Show" link:

Fatal error: Call to a member function getHeadItems() on a non-object in /webdocs/w/extensions/S5SlideShow/S5SlideShow.class.php on line 371

I have MediaWiki 1.20.2, PHP 5.3.21 (apache2handler). Any ideas?

Chaosconst (talkcontribs)

I have the same problem, any ideas? 1.20

VitaliyFilippov (talkcontribs)

Hm. Sorry for not answering again :) just turned liquidthreads notification option on at last...

The problem is very strange, it seems $this->getParser()->mOutput is NULL on your wiki while it can't be NULL in that position :)

And I've just tested the extension on 1.21 - it works... Maybe it's related to some other installed extension? What of them do you have installed?

218.101.54.25 (talkcontribs)

I'm getting the same problem on CentOS-6.4/64bit with mediawiki-1.21

httpd-2.2.15-29.el6.centos.x86_64 php-5.3.3-23.el6_4.x86_64

I have the following extensions in use

Auth_remoteuser.php S5SlideShow/ WYSIWYG/

VitaliyFilippov (talkcontribs)

I don't understand how can it be :) can you also post an example presentation on which the error is happening?

SergeyL (talkcontribs)

I got the latest (50ed226ab9) version of extension and it still does not work: Fatal error: Call to a member function getHeadItems() on a non-object in /proj/webdocs/wcdma-wrat/root/w/extensions/S5SlideShow/S5SlideShow.class.php on line 371

The example of presentation:

<slideshow>
;title: My Title
;author: Me
</slideshow>

== Slide 1 ==
* Text 1.1
* Text 1.2

== Slide 2 ==
* Text 2.1
* Text 2.2

The extension installed in the following way:

# Slides
// headingmark attribute default value
$egS5SlideHeadingMark = '';
// incmark attribute default value
$egS5SlideIncMark = '(step)';
require_once( "$IP/extensions/S5SlideShow/S5SlideShow.php" );

Versions: MediaWiki 1.20.2, PHP 5.3.21 (apache2handler)

In case if other installed extensions interfere, there are: Collection 1.6.1, Contribution Scores 1.16, External Links 1.1.1, Interwiki 2.2 20120425, Cite (f1b22c4), DynamicPageList 1.6, Graphviz 0.9.1 alpha, ImageMap (da17766), InputBox 0.1.4, MyVariables 3.1.1, ParserFunctions 1.4.1, pChart4mw 1.4.0, SyntaxHighlight 1.0.8.11, UML 0.4, SphinxSearch 0.8.5, Vector 0.3.0, WikiEditor 0.3.1.

VitaliyFilippov (talkcontribs)

OK, finally fixed it! Check out the last commit. It happened on clean installations and when no extension used $wgParser before its FirstCallInit. So S5 got a cloned StubObject instead of Parser.

Reply to "Call to a member function getHeadItems() on a non-object"
62.218.164.126 (talkcontribs)

Hi,

in Mediawiki 1.21.1 I got the following error which I managed to fix according to

Fatal error: Call to undefined function wfLoadExtensionMessages() in C:\inetpub\mediawiki\extensions\S5SlideShow\S5SlideShow.php on line 123

For the fix remove (comment) the line wfLoadExtensionMessages('UserMagic'); in S5SlideShow.php

Works for me! Best regards, Max

VitaliyFilippov (talkcontribs)

Thanks, that deprecated call is recently removed in master on github.

Reply to "Fatal error with Mediawiki 1.21.1"
Dennis J au (talkcontribs)

Hi, thanks for working on this extension. I have not yet got it to work properly. The error I get is as follows...

Fatal error: Call to a member function matchStartToEnd() on a non-object in 
/var/www/the-moc/mediawiki-1.15.1/includes/parser/Parser.php on line 2741

I have PHP 5.2.6-1+lenny4 (apache2handler) and MySQL 5.0.51a-24+lenny2+spu1. I'm not at coder, just a dabbler. Do you have any suggestions? Thanks.

VitaliyFilippov (talkcontribs)

Sorry for non-answering you, but this could be related to absence of PHP DOM extension...

Reply to "Problems with mediawiki-1.15.1"
VanGore (talkcontribs)

Hi folks,

first i want to say: great stuff, never .ppt-hell again;) But:

it worked for me only with

require_once( "$IP/extensions/S5SlideShow/S5SlideShow.php" );

instead with

require_once "/extensions/S5SlideShow/S5SlideShow.php";

and now I got this Warning

call_user_func(S5SlideShowHooks::Setup) [<a href='function.call-user-func'>function.call-user-func</a>]: Unable to call S5SlideShowHooks::Setup() in /var/www/mediawiki-1.15.4/w/includes/Setup.php on line 310

any idea? thx and greetz

VitaliyFilippov (talkcontribs)

Thanks about $IP, I've corrected the help page.

This is a strange error (PHP couldn't find a static function with "Class::method" syntax). What's your PHP version?

You can try to edit S5SlideShow.php and change

$wgExtensionFunctions[] = 'S5SlideShowHooks::Setup';

To

$wgExtensionFunctions[] = array('S5SlideShowHooks', 'Setup');

But I'm not sure it will work, as there are more places which use this syntax and which cannot be changed such easily ($wgHooks['xx'][] does not allow array('Class', 'function') syntax).

Reply to "bug: call_user_func ?"

Error message with MW 1.17 and S5SlideShow

2
MWJames (talkcontribs)

After the installation of S5SlideShow, instead of a display of slides a large amount of error message showed such as:

Notice: Undefined index: br in ...\extensions\S5SlideShow\DOMParseUtils.php on line 141

Notice: Undefined index: br in ...\extensions\S5SlideShow\DOMParseUtils.php on line 141

Warning: Cannot modify header information - headers already sent by (output started at ...\extensions\S5SlideShow\DOMParseUtils.php:141) in ...\includes\WebResponse.php on line 22

VitaliyFilippov (talkcontribs)

Try to disable E_NOTICE in php.ini and check again. I never care about non-existing array indexes (don't want to call array_key_exists for each key), I always write just "$array['index']".

Reply to "Error message with MW 1.17 and S5SlideShow"
There are no older topics
Return to "S5SlideShow" page.